Bug 1462322 - [support] RHCS 2.2 -RGW - APACHE - SSL True - with special characters in filenames '111()' - boto.exception.S3ResponseError: S3ResponseError: 403 Forbidden
[support] RHCS 2.2 -RGW - APACHE - SSL True - with special characters in file...
Status: ASSIGNED
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW (Show other bugs)
2.2
x86_64 Linux
medium Severity medium
: rc
: 2.*
Assigned To: Marcus Watts
ceph-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-16 13:48 EDT by Vikhyat Umrao
Modified: 2018-03-14 13:00 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vikhyat Umrao 2017-06-16 13:48:50 EDT
Description of problem:
RHCS 2.2 -RGW - APACHE - SSL True - with special characters in filenames '111()' -  boto.exception.S3ResponseError: S3ResponseError: 403 Forbidden 

Version-Release number of selected component (if applicable):
Red Hat Ceph Storage 2.2

How reproducible:
100% customer environment 
Not able to reproduce in my test environment.


==

Traceback (most recent call last):
  File "test-boto.py", line 25, in <module>
    print new_key.exists()
  File "/usr/lib/python2.7/site-packages/boto/s3/key.py", line 539, in exists
    return bool(self.bucket.lookup(self.name, headers=headers))
  File "/usr/lib/python2.7/site-packages/boto/s3/bucket.py", line 143, in lookup
    return self.get_key(key_name, headers=headers)
  File "/usr/lib/python2.7/site-packages/boto/s3/bucket.py", line 193, in get_key
    key, resp = self._get_key_internal(key_name, headers, query_args_l)
  File "/usr/lib/python2.7/site-packages/boto/s3/bucket.py", line 231, in _get_key_internal
    response.status, response.reason, '')
boto.exception.S3ResponseError: S3ResponseError: 403 Forbidden

In RadosGW logs I see it like that:

2017-06-09 11:05:44.438266 7fd7d0435700  1 civetweb: 0x7fd8540065d0: 192.168.114.124 - - [09/Jun/2017:11:05:44 +0000] "HEAD /test-bucket/111() HTTP/1.1" 403 0 - Boto/2.39.0 Python/2.7.5 Linux/4.7.0-1.el7.wg.x86_64

Note You need to log in before you can comment on or make changes to this bug.